net.sf.jasperreports.engine.design

## Class JRDesignQuery

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseQuery
  - - net.sf.jasperreports.engine.design.JRDesignQuery

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRQuery

      public class JRDesignQuery
      extends JRBaseQuery
      implements JRChangeEventsSupport

  Version:
    $Id: JRDesignQuery.java 6583 2013-10-14 09:20:42Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<JRQueryChunk>` | `chunks`
    `static java.lang.String` | `PROPERTY_LANGUAGE`
    `static java.lang.String` | `PROPERTY_TEXT`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseQuery

      `language`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignQuery()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChunk(JRDesignQueryChunk chunk)`
    `void` | `addClauseChunk(java.lang.String[] tokens)` Deprecated. Replaced by `addClauseChunk(String[], char)`.
    `void` | `addClauseChunk(java.lang.String[] tokens, char tokenSeparator)` Adds a `clause chunk` to the query.
    `void` | `addParameterChunk(java.lang.String text)`
    `void` | `addParameterClauseChunk(java.lang.String text)`
    `void` | `addPropertyChangeListener(java.beans.PropertyChangeListener l)` Add a property listener to listen to all properties of this class.
    `void` | `addPropertyChangeListener(java.lang.String propName, java.beans.PropertyChangeListener l)` Add a property listener to receive property change events for only one specific property.
    `void` | `addTextChunk(java.lang.String text)`
    `protected JRQueryChunkHandler` | `chunkAdder()`
    `java.lang.Object` | `clone()`
    `JRQueryChunk[]` | `getChunks()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `protected java.beans.PropertyChangeSupport` | `getPropertyChangeSupport()` Get the property change support object for this class.
    `void` | `removePropertyChangeListener(java.beans.PropertyChangeListener l)` Remove a property change listener registered for all properties.
    `void` | `removePropertyChangeListener(java.lang.String propName, java.beans.PropertyChangeListener l)` Remove a property change listener registered for a specific property.
    `void` | `setChunks(java.util.List<JRQueryChunk> chunks)`
    `void` | `setLanguage(java.lang.String language)` Sets the query language.
    `void` | `setText(java.lang.String text)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseQuery

      `getLanguage, getText`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_LANGUAGE

          public static final java.lang.String PROPERTY_LANGUAGE

      See Also:
        Constant Field Values

    - #### PROPERTY_TEXT

          public static final java.lang.String PROPERTY_TEXT

      See Also:
        Constant Field Values

    - #### chunks

          protected java.util.List<JRQueryChunk> chunks

  - ### Constructor Detail

    - #### JRDesignQuery

          public JRDesignQuery()

  - ### Method Detail

    - #### getChunks

          public JRQueryChunk[] getChunks()

      Specified by:
        `getChunks` in interface `JRQuery`
      Overrides:
        `getChunks` in class `JRBaseQuery`

    - #### setChunks

          public void setChunks(java.util.List<JRQueryChunk> chunks)

    - #### addChunk

          public void addChunk(JRDesignQueryChunk chunk)

    - #### addTextChunk

          public void addTextChunk(java.lang.String text)

    - #### addParameterChunk

          public void addParameterChunk(java.lang.String text)

    - #### addParameterClauseChunk

          public void addParameterClauseChunk(java.lang.String text)

    - #### addClauseChunk

          public void addClauseChunk(java.lang.String[] tokens)

      Deprecated. Replaced by `addClauseChunk(String[], char)`.
      Adds a `clause chunk` to the query.
      Parameters:
        `tokens` - the clause tokens
      See Also:
        `JRDesignQueryChunk.setTokens(String[])`

    - #### addClauseChunk

          public void addClauseChunk(java.lang.String[] tokens,
                            char tokenSeparator)

      Adds a `clause chunk` to the query.
      Parameters:
        `tokens` - the clause tokens
        `tokenSeparator` - the token separator character
      See Also:
        `JRDesignQueryChunk.setTokens(String[])`, `JRQueryChunk.PROPERTY_CHUNK_TOKEN_SEPARATOR`

    - #### chunkAdder

          protected JRQueryChunkHandler chunkAdder()

    - #### setText

          public void setText(java.lang.String text)

    - #### setLanguage

          public void setLanguage(java.lang.String language)

      Sets the query language.
      Parameters:
        `language` - the query language
      See Also:
        `JRQuery.getLanguage()`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### getPropertyChangeSupport

          protected java.beans.PropertyChangeSupport getPropertyChangeSupport()

      Get the property change support object for this class. Because the property change support object has to be transient, it may need to be created.
      Returns:
        the property change support object.

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(java.beans.PropertyChangeListener l)

      Add a property listener to listen to all properties of this class.
      Parameters:
        `l` - The property listener to add.
      See Also:
        `removePropertyChangeListener(PropertyChangeListener)`

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(java.lang.String propName,
                                       java.beans.PropertyChangeListener l)

      Add a property listener to receive property change events for only one specific property.
      Parameters:
        `propName` - The property to listen to.
        `l` - The property listener to add.
      See Also:
        `removePropertyChangeListener(String, PropertyChangeListener)`

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(java.beans.PropertyChangeListener l)

      Remove a property change listener registered for all properties. This will only remove listeners that were added through the `addPropertyChangeListener(PropertyChangeListener)` method.
      Parameters:
        `l` - The listener to remove.

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(java.lang.String propName,
                                          java.beans.PropertyChangeListener l)

      Remove a property change listener registered for a specific property.
      Parameters:
        `propName` - The property to listen to.
        `l` - The listener to remove.

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseQuery`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com